Name:           python-maggma
Version:        0.71.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Framework to develop datapipelines from files on disk to full dissemenation API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/maggma/
Source:         %{pypi_source maggma}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'maggma' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-maggma
Summary:        %{summary}

%description -n python3-maggma %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-maggma api,azure,docs,memray,mongogrant,montydb,notebook-runner,testing,vasp,vault


%prep
%autosetup -p1 -n maggma-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x api,azure,docs,memray,mongogrant,montydb,notebook-runner,testing,vasp,vault


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-maggma -f %{pyproject_files}


%changelog
%autochangelog